| All Verbs | /RestApi/Sitefinity/Analytics/GetCurrentAccountSettings |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ClientId | query | string | No | |
| ClientSecret | query | string | No | |
| SelectedProfile | query | string | No | |
| TrackedDomain | query | string | No | |
| SiteId | query | Guid | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ClientId | form | string | No | |
| ClientSecret | form | string | No | |
| TrackingCode | form | string | No | |
| TrackedDomain | form | string | No | |
| SelectedAccount | form | string | No | |
| SelectedProfile | form | string | No | |
| SelectedWebPropertyId | form | string | No | |
| UseEquals | form | bool | No | |
| PrependHost | form | bool | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetCurrentAccountSettings HTTP/1.1
Host: www.asg.com.au
Accept: application/json
Content-Type: application/json
Content-Length: length
{"ClientId":"String","ClientSecret":"String","SelectedProfile":"String","TrackedDomain":"String"}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"ClientId":"String","ClientSecret":"String","TrackingCode":"String","TrackedDomain":"String","SelectedAccount":"String","SelectedProfile":"String","SelectedWebPropertyId":"String","UseEquals":false,"PrependHost":false}